Bug 398093 - Now Playing playlist corruption when loading playlist (.m3u)
Summary: Now Playing playlist corruption when loading playlist (.m3u)
Status: RESOLVED FIXED
Alias: None
Product: Elisa
Classification: Unclassified
Component: general (show other bugs)
Version: 0.2.1
Platform: Manjaro Linux
: NOR normal
Target Milestone: ---
Assignee: Matthieu Gallien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-31 08:43 UTC by Michael D
Modified: 2020-01-27 05:08 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.12.2


Attachments
Now Playing playlist corruption (423.71 KB, image/png)
2018-08-31 08:43 UTC, Michael D
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael D 2018-08-31 08:43:46 UTC
Created attachment 114714 [details]
Now Playing playlist corruption

Whenever I load a playlist, I get the corruption shown in the attached png. This is on wayland.
Comment 1 Alexander Mentyu 2018-09-03 19:47:06 UTC
Playlist is displayed instead of Now Playing in elisa 0.2.80

Distribution: KDE neon Developer Edition
Kernel: 4.15.0-29-generic
Plasma: 5.13.80
Apps: 18.11.70
Qt: 5.11.1
Frameworks: 5.48.0
Graphics:
Card-1: Intel driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:5917 
Card-2: NVIDIA GM108M [GeForce 940MX] driver: nouveau v: kernel bus ID: 01:00.0 chip ID: 10de:134d 
Display: wayland server: X.Org 1.19.6 driver: modesetting,nouveau 
unloaded: fbdev,vesa alternate: nvidia compositor: kwin wayland 
resolution: 1920x1080~57Hz 
OpenGL: renderer: Mesa DRI Intel UHD Graphics 620 (Kabylake GT2) v: 4.5 Mesa 18.0.5 
compat-v: 3.0 direct render: Yes
Comment 2 Matthieu Gallien 2018-12-09 20:09:53 UTC
I regularly get corruption when showing the playlist.
I will fix that for the next stable version (not yet a defined schedule for it).
Comment 3 Matthieu Gallien 2019-02-01 17:01:49 UTC
Git commit fc9736e1d124f40002d835890af82a6103a0c322 by Matthieu Gallien.
Committed on 01/02/2019 at 17:01.
Pushed by mgallien into branch 'master'.

use ListView sections and section headers for album headers

should help avoid playlist corruption especially when loading m3u
playlist files

M  +10   -323  autotests/mediaplaylisttest.cpp
M  +0    -1    autotests/qmltests/tst_PlayListEntry.qml
M  +1    -0    src/CMakeLists.txt
M  +17   -128  src/mediaplaylist.cpp
M  +1    -3    src/mediaplaylist.h
M  +3    -0    src/qml/BaseTheme.qml
A  +141  -0    src/qml/PlayListAlbumHeader.qml     [License: LGPL (v3+)]
M  +9    -1    src/qml/PlayListBasicView.qml
M  +2    -115  src/qml/PlayListEntry.qml
M  +1    -0    src/resources.qrc

https://commits.kde.org/elisa/fc9736e1d124f40002d835890af82a6103a0c322
Comment 4 Matthieu Gallien 2019-02-01 17:02:59 UTC
Could you please test a version including this commit to see if you still get this problem ?

This should be possible with the flatpak package built by the KDE infrastructure (should be built tomorrow).

Thanks in advance
Comment 5 Michael D 2019-02-05 20:40:54 UTC
I would be happy to test the flatpak but I'm not sure where to obtain it. Could you provide a link or a link to instructions?
Comment 6 Alexander Stippich 2019-11-07 17:33:16 UTC
Is this still an issue with elisa 0.4?
Comment 7 Matthieu Gallien 2019-11-07 18:26:37 UTC
I still often see playlist corruptions when adding several tracks to it. Sadly I am not yet able to find a fix for that.
Comment 8 Matthieu Gallien 2019-11-11 21:41:59 UTC
Work in progress merge request to fix that bug: https://invent.kde.org/kde/elisa/merge_requests/27
Sorry for the long delay to identify a possible fix.
Comment 9 Matthieu Gallien 2019-11-12 20:44:23 UTC
(In reply to Matthieu Gallien from comment #8)
> Work in progress merge request to fix that bug:
> https://invent.kde.org/kde/elisa/merge_requests/27
> Sorry for the long delay to identify a possible fix.

The following merge request is a partial fix for some of the problems (garbage in play list when inserting many tracks from many different albums).
If you can test, that would be really nice to get feedback.

More fixes will be needed and done by other merge requests.
Comment 10 Matthieu Gallien 2020-01-22 21:13:40 UTC
Due to Qt bug https://bugreports.qt.io/browse/QTBUG-49868
Comment 11 Matthieu Gallien 2020-01-22 21:32:21 UTC
Git commit ce3df0bbdc4790f4bc45b18d6daff36a9a2a96f7 by Matthieu Gallien.
Committed on 22/01/2020 at 21:14.
Pushed by mgallien into branch 'release/19.12'.

let playlist get the full track data when possible

should avoid having the playlist gets corrupted when adding many tracks
from different albums

M  +133  -133  autotests/mediaplaylisttest.cpp
M  +4    -4    autotests/trackslistenertest.cpp
M  +1    -0    src/datatypes.h
M  +3    -3    src/elisaapplication.cpp
M  +3    -1    src/elisautils.h
M  +16   -10   src/mediaplaylist.cpp
M  +1    -1    src/mediaplaylist.h
M  +1    -1    src/models/alltracksproxymodel.cpp
M  +26   -0    src/models/datamodel.cpp
M  +2    -2    src/models/filebrowserproxymodel.cpp
M  +1    -1    src/models/gridviewproxymodel.cpp
M  +1    -1    src/models/singlealbumproxymodel.cpp

https://invent.kde.org/kde/elisa/commit/ce3df0bbdc4790f4bc45b18d6daff36a9a2a96f7
Comment 12 Alexander Stippich 2020-01-26 20:17:01 UTC
Git commit 1691274e52b8a76f760bad1333746fde4f5973c7 by Alexander Stippich.
Committed on 26/01/2020 at 20:16.
Pushed by astippich into branch 'release/19.12'.

disable playlist animations to fix display corruption
Related: bug 406524

M  +5    -0    src/qml/PlayListBasicView.qml

https://invent.kde.org/kde/elisa/commit/1691274e52b8a76f760bad1333746fde4f5973c7